# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.238 -> 1.1069.1.239
#	arch/ia64/ia32/sys_ia32.c	1.9.1.30 -> 1.9.1.31
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 04/01/08	arun.sharma@intel.com	1.1069.1.239
# [PATCH] ia64: ia32 sigaltstack() fix
# 
# The attached patch fixes a bug introduced by the earlier patch to
# handle the differences between ia32 and ia64 in the definition of
# MINSIGSTKSZ.
# --------------------------------------------
#
diff -Nru a/arch/ia64/ia32/sys_ia32.c b/arch/ia64/ia32/sys_ia32.c
--- a/arch/ia64/ia32/sys_ia32.c	Thu Jan  8 16:33:44 2004
+++ b/arch/ia64/ia32/sys_ia32.c	Thu Jan  8 16:33:44 2004
@@ -3406,7 +3406,7 @@
 	uss.ss_flags = buf32.ss_flags;
 	/* MINSIGSTKSZ is different for ia32 vs ia64. We lie here to pass the 
            check and set it to the user requested value later */
-	if (buf32.ss_size < MINSIGSTKSZ_IA32) {
+	if ((buf32.ss_flags != SS_DISABLE) && (buf32.ss_size < MINSIGSTKSZ_IA32)) {
 		ret = -ENOMEM;
 		goto out;
 	}
